Subject: Re: [Cellar] EBML Introduction section

From: Dave Rice <[email-masked]>
Date: Fri, 12 Feb 2016 21:07:30 -0500

> On Jan 23, 2016, at 3:59 PM, Sebastian G. <bastik> wrote:
> 
> 23.01.2016, 20:36 Dave Rice:
>> Each RFC must include an Introduction section to follow the TOC.
>> There is some detail about the requirements [...]
>> 
>> I used the existing EBML Principle
>> <https://github.com/Matroska-Org/ebml-specification/blob/master/specification.markdown#ebml-principle>
>> section, Moritz's comments
>> <https://github.com/Matroska-Org/ebml-specification/issues/5#issuecomment-99932625>,
>> and my own text to create an introduction section. Comments?
> 
> Nothing of great importance from my side. Just a few thoughts or
> suggestions.
> 
>> ## Introduction
>> 
>> EBML is short for Extensible Binary Meta Language. EBML specifies a
>> binary and octet (byte) aligned format inspired by the principle of
>> XML. EBML itself is a generalized description of the technique of
>> binary markup. Like XML, it is completely agnostic to any data that
>> it might contain. The format is made of 2 parts: the semantic and the
>> structural. The structural part defines how EBML elements may be
>> defined, arranged, and implemented. The semantic part specifies a
>> number of Elements along with their identifier, name, type, and
>> definition. Just like XML, the specific "tags" (IDs in EBML parlance)
>> used in an EBML implementation are arbitrary. However, the semantic
>> of EBML outlines general data types and ID's.
> 
> The start might be shortened to:
> 
> "EBML, short for Extensible Binary Meta Language, specifies a binary and
> octet (byte) aligned format inspired by the principle of XML."
> 
>> The goal of the EBML Specification is to define a generic, binary,
>> space-efficient format which may be utilized to define more complex
>> formats (such a containers for multimedia content) using an EBML
> 
> 'such a' has to be 'such as'. You could also use 'like', although that
> gets used often in the section already.
> 
>> Schema. The definition of the EBML format recognizes the idea behind
>> HTML and XML as a good one: separate structure and semantics allowing
>> the same structural layer to be used with multiple, possibly widely
>> differing semantic layers. Except for the EBML Header and a few
>> global elements this specification does not define particular EBML
>> format semantics; however this specification is intended to define
>> how other EBML-based formats may be defined.
>> 
>> EBML uses a simple approach of building Elements upon three pieces of
>> data (tag, length, and value) as this approach is well-known, easy to
>> parse, and allows selective data parsing. The EBML structure
>> additionally allows for hierarchical arrangement to support complex
>> structural formats in an efficient manner.

I updated the intro according to Sebastian's suggestions and submitted it as a pull request. https://github.com/Matroska-Org/ebml-specification/pull/52/files <https://github.com/Matroska-Org/ebml-specification/pull/52/files>

Dave Rice